Subject: Re: pkgsrc: mit-pthreads does not support 1.3
To: Simon J. Gerraty <>
From: Alistair Crooks <>
List: current-users
Date: 11/13/1997 06:58:52

> The pkgsrc stuff is way cool.  With a trivial script in /usr/bin/fetch
> it all runs very nicely from behind a firewall!  Well done guys.

Thanks. Actually, by setting the environment variables ftp_proxy and
http_proxy (see the ftp(1) man page), you don't need a fetch script, and
everything will work "out of the box". Mine are as follows - I doubt
they'd work for you.


> FYI, looks like another patch is needed for the mit-pthreads:
> checking host system type... i386-unknown-netbsd1.3.
> checking target system type... i386-unknown-netbsd1.3.
> checking build system type... i386-unknown-netbsd1.3.
> configure: error: System type i386-unknown-netbsd1.3. not recognized or not supported.
> See ./config/ for supported systems.
> *** Error code 1

I've just checked in fixes for this.

Take care,